Debian LTS: DLA-3254-1: exuberant-ctags security update | LinuxSecu...

- -------------------------------------------------------------------------
Debian LTS Advisory DLA-3254-1                [email protected]
https://www.debian.org/lts/security/                           Chris Lamb
December 31, 2022                             https://wiki.debian.org/LTS
- -------------------------------------------------------------------------

Package        : exuberant-ctags
Version        : 1:5.9~svn20110310-12+deb10u1
CVE ID         : CVE-2022-4515
Debian Bug     : 1026995

A flaw was found in the way the exubertant-ctags source code parser
handled the "-o" command-line option which specifies the tag
filename. A crafted tag filename specified in the command line or in
the configuration file could have resulted in arbitrary command
execution because the externalSortTags() in sort.c calls the
system(3) function in an unsafe way.

For Debian 10 buster, this problem has been fixed in version
1:5.9~svn20110310-12+deb10u1.

We recommend that you upgrade your exuberant-ctags packages.

For the detailed security status of exuberant-ctags please refer to
its security tracker page at:
https://security-tracker.debian.org/tracker/exuberant-ctags

Further information about Debian LTS security advisories, how to apply
these updates to your system and frequently asked questions can be
found at: https://wiki.debian.org/LTS

Debian LTS: DLA-3254-1: exuberant-ctags security update

December 31, 2022
A flaw was found in the way the exubertant-ctags source code parser handled the "-o" command-line option which specifies the tag filename

Summary

For Debian 10 buster, this problem has been fixed in version
1:5.9~svn20110310-12+deb10u1.

We recommend that you upgrade your exuberant-ctags packages.

For the detailed security status of exuberant-ctags please refer to
its security tracker page at:
https://security-tracker.debian.org/tracker/exuberant-ctags

Further information about Debian LTS security advisories, how to apply
these updates to your system and frequently asked questions can be
found at: https://wiki.debian.org/LTS


Severity
Package : exuberant-ctags
Version : 1:5.9~svn20110310-12+deb10u1
CVE ID : CVE-2022-4515
Debian Bug : 1026995

We use cookies to provide and improve our services. By using our site, you consent to our Cookie Policy.